require("functions")
autoplace_utils = require("autoplace_utils")
local snow_vehicle_speed_modifier = 2.0

data:extend(
{
  {
    type = "tile",
    name = "snow",
    collision_mask = {"ground-tile"},
    autoplace = autoplace_settings("snow", {{{-5, 0.5}, {-25, 0}}}),
    layer = 21,
    variants =
    {
      main =
      {
        {
          picture = "__SnowMod__/graphics/terrain/snow/snow1.png",
          count = 16,
          size = 1
        },
        {
          picture = "__SnowMod__/graphics/terrain/snow/snow2.png",
          count = 16,
          size = 2,
          probability = 0.7,
          weights = {0.150, 0.150, 0.150, 0.150, 0.018, 0.020, 0.015, 0.025, 0.015, 0.020, 0.025, 0.015, 0.025, 0.025, 0.010, 0.037},
        },
        {
          picture = "__SnowMod__/graphics/terrain/snow/snow4.png",
          count = 22,
          line_length = 11,
          size = 4,
          probability = 1,
          weights = {0.100, 0.80, 0.80, 0.050, 0.025, 0.025, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01 }
        },
      },
      inner_corner =
      {
        picture = "__SnowMod__/graphics/terrain/snow/snow-inner-corner.png",
        count = 8
      },
      outer_corner =
      {
        picture = "__SnowMod__/graphics/terrain/snow/snow-outer-corner.png",
        count = 8
      },
      side =
      {
        picture = "__SnowMod__/graphics/terrain/snow/snow-side.png",
        count = 8
      }
    },
    walking_sound =
    {
      {
        filename = "__base__/sound/walking/sand-01.ogg",
        volume = 0.8
      },
      {
        filename = "__base__/sound/walking/sand-02.ogg",
        volume = 0.8
      },
      {
        filename = "__base__/sound/walking/sand-03.ogg",
        volume = 0.8
      },
      {
        filename = "__base__/sound/walking/sand-04.ogg",
        volume = 0.8
      }
    },
    map_color={r=230, g=230, b=235},
    ageing=0.00045,
    vehicle_friction_modifier = snow_vehicle_speed_modifier
  },

  {
    type = "tile",
    name = "snow-dark",
    collision_mask = {"ground-tile"},
    autoplace = autoplace_settings("snow-dark", {{{-5, 0.5}, {-25, 0}}}),
    layer = 22,
    variants =
    {
      main =
      {
        {
          picture = "__SnowMod__/graphics/terrain/snow-dark/snow-dark1.png",
          count = 16,
          size = 1
        },
        {
          picture = "__SnowMod__/graphics/terrain/snow-dark/snow-dark2.png",
          count = 16,
          size = 2,
          probability = 0.91,
          weights = {0.018, 0.020, 0.015, 0.025, 0.015, 0.020, 0.025, 0.015, 0.025, 0.025, 0.010, 0.025, 0.020, 0.025, 0.025, 0.010 },
        },
        {
          picture = "__SnowMod__/graphics/terrain/snow-dark/snow-dark4.png",
          count = 22,
          line_length = 11,
          size = 4,
          probability = 1,
          weights = {0.100, 0.80, 0.80, 0.050, 0.025, 0.025, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01, 0.01 }
        },
      },
      inner_corner =
      {
        picture = "__SnowMod__/graphics/terrain/snow-dark/snow-dark-inner-corner.png",
        count = 8
      },
      outer_corner =
      {
        picture = "__SnowMod__/graphics/terrain/snow-dark/snow-dark-outer-corner.png",
        count = 8
      },
      side =
      {
        picture = "__SnowMod__/graphics/terrain/snow-dark/snow-dark-side.png",
        count = 8
      }
    },
    walking_sound =
    {
      {
        filename = "__base__/sound/walking/sand-01.ogg",
        volume = 0.8
      },
      {
        filename = "__base__/sound/walking/sand-02.ogg",
        volume = 0.8
      },
      {
        filename = "__base__/sound/walking/sand-03.ogg",
        volume = 0.8
      },
      {
        filename = "__base__/sound/walking/sand-04.ogg",
        volume = 0.8
      }
    },
    map_color={r=220, g=220, b=225},
    ageing=0.00045,
    vehicle_friction_modifier = snow_vehicle_speed_modifier
  },


})


